aboutsummaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorLaurent Ghigonis <laurent@p1sec.com>2013-03-21 19:08:55 +0100
committerLaurent Ghigonis <laurent@p1sec.com>2013-03-21 19:08:55 +0100
commit3f71734246a5f9007b6a0ec1557ccc262559c39d (patch)
tree9df89e4c56a3bfc6a7281301693212ee95b2923b /tools
parentconf/bashrc: remove duplication of dh() hd() (diff)
downloadlaurent-tools-3f71734246a5f9007b6a0ec1557ccc262559c39d.tar.xz
laurent-tools-3f71734246a5f9007b6a0ec1557ccc262559c39d.zip
tools: switch_wireshark_fedora.sh between svn and pkg
Diffstat (limited to 'tools')
-rwxr-xr-xtools/switch_wireshark_fedora.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/tools/switch_wireshark_fedora.sh b/tools/switch_wireshark_fedora.sh
new file mode 100755
index 0000000..54bb799
--- /dev/null
+++ b/tools/switch_wireshark_fedora.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+wirsrc="$HOME/src/wireshark/"
+wirpkg="wireshark wireshark-devel wireshark-gnome"
+
+if [ $# -lt 1 ]; then
+ echo "usage: `basename $0` svn|pkg"
+ exit 1
+fi
+
+set -x
+
+if [ $1 == "svn" ]; then
+ sudo yum remove $wirpkg
+ cd $wirsrc
+ make -j 4
+ sudo make install
+elif [ $1 == "pkg" ]; then
+ cd $wirsrc
+ sudo make uninstall
+ sudo yum install $wirpkg
+fi